package com.brilliance.isc.common.api.img.service;

import com.brilliance.isc.bo.Imglot;
import com.brilliance.isc.vo.manager.ImglotVo;
import com.brilliance.isc.vo.manager.RemarkVo;

import java.util.List;
import java.util.Map;

public interface ImgService {

    Map<String,String> generateLotNum();

    Map<String,String> generateImgInr();

    int bindOrUnbind(ImglotVo record);

    List<ImglotVo> listBindLotNum(ImglotVo record);

    List<ImglotVo> listAllBindByOwnref(ImglotVo record);

    List<Imglot> listUnbindLotNum(ImglotVo record);

    int insert(ImglotVo record);

    int updateByPrimaryKey(ImglotVo record);

    int deleteByPrimaryKey(ImglotVo record);

    ImglotVo selectByPrimaryKey(ImglotVo record);

    int insertRemark(RemarkVo record);

    int updateRemarkByPrimaryKey(RemarkVo record);

    int deleteRemarkByPrimaryKey(RemarkVo record);

    RemarkVo selectRemarkByPrimaryKey(RemarkVo record);

    List<RemarkVo> listRemarkByLotNum(RemarkVo record);

    Map<String,String> authorityHandler(ImglotVo record);

    ImglotVo getVo(Imglot bo);

    int bindOrUnbindForInvsel(ImglotVo record);

}
